import requests
import matplotlib.pyplot as plt

#Récupération 
r = requests.get("http://clenoan.pythonanywhere.com/api/eleves")
j = r.json()

nbEleves = j["nombre"]
nbElvParSpe = []
specialite = []
for elv in j["eleves"]:
    for spe in elv["spe"]:
        if spe not in specialite:
            specialite.append(spe)
            nbElvParSpe.append(1)
        else:
            i = specialite.index(spe)
            nbElvParSpe[i] += 1


plt.subplots_adjust(bottom=0.30)
plt.xlabel("Spécialités")
plt.ylabel("nombre d'élèves")
plt.title(f"Sondage sur les spécialités de première.")


plt.bar(range(len(specialite)), nbElvParSpe, width = 0.6, color = 'yellow', edgecolor = 'blue', linewidth = 2)
plt.xticks(range(len(specialite)), specialite, rotation = 45)

plt.show()